Bug 148070 - Deadlock while using Options dialog
Deadlock while using Options dialog
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Settings
6.x
All All
: P3 (vote)
: 6.x
Assigned To: issues@editor
issues@editor
: RANDOM, THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-23 16:47 UTC by _ gtzabari
Modified: 2008-09-25 06:30 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
the thread dump (22.09 KB, text/plain)
2008-09-23 16:47 UTC, _ gtzabari
Details

Note You need to log in before you can comment on or make changes to this bug.
Description _ gtzabari 2008-09-23 16:47:11 UTC
dev build 200809180201

Tools | Options | Editor -> deadlock occurred. This occurs randomly. Fortunately I managed to catch a thread-dump that
shows the deadlock (jstack is great!)
Comment 1 _ gtzabari 2008-09-23 16:47:55 UTC
Created attachment 70342 [details]
the thread dump
Comment 2 Peter Pis 2008-09-24 07:36:52 UTC
Reassigning to editor for evaluation.
Comment 3 Vitezslav Stejskal 2008-09-24 13:20:40 UTC
Looks familiar...
Comment 4 Vitezslav Stejskal 2008-09-24 13:37:20 UTC
http://hg.netbeans.org/main/rev/68399fdf46fe
Comment 5 Quality Engineering 2008-09-25 06:30:16 UTC
Integrated into 'main-golden', will be available in build *200809250201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/68399fdf46fe
User: Vita Stejskal <vstejskal@netbeans.org>
Log: #148070: use KitsTracker to prevent accessing MimePath's lookup from inside its construction


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo